Bug 1213605 - [abrt] gnome-software: gs_shell_details_refresh_all(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gs_shell_details_refresh_all(): gnome-software killed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c01366ecf0b991d01003ddf74e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-20 21:55 UTC by Mikhail
Modified: 2015-10-09 06:14 UTC (History)
3 users (show)

Fixed In Version: gnome-software-3.18.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-09 06:14:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (77.93 KB, text/plain)
2015-04-20 21:55 UTC, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-20 21:55 UTC, Mikhail
no flags Details
File: core_backtrace (18.91 KB, text/plain)
2015-04-20 21:55 UTC, Mikhail
no flags Details
File: dso_list (13.17 KB, text/plain)
2015-04-20 21:55 UTC, Mikhail
no flags Details
File: environ (1.89 KB, text/plain)
2015-04-20 21:56 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-20 21:56 UTC, Mikhail
no flags Details
File: maps (66.74 KB, text/plain)
2015-04-20 21:56 UTC, Mikhail
no flags Details
File: mountinfo (3.75 KB, text/plain)
2015-04-20 21:56 UTC, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-04-20 21:56 UTC, Mikhail
no flags Details
File: open_fds (1.82 KB, text/plain)
2015-04-20 21:56 UTC, Mikhail
no flags Details
File: proc_pid_status (968 bytes, text/plain)
2015-04-20 21:56 UTC, Mikhail
no flags Details
File: var_log_messages (670 bytes, text/plain)
2015-04-20 21:56 UTC, Mikhail
no flags Details

Description Mikhail 2015-04-20 21:55:50 UTC
Version-Release number of selected component:
gnome-software-3.16.1-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_shell_details_refresh_all
executable:     /usr/bin/gnome-software
global_pid:     2152
kernel:         4.0.0-1.fc22.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gs_shell_details_refresh_all at gs-shell-details.c:698
 #1 gs_shell_details_set_app at gs-shell-details.c:1009
 #2 gs_shell_change_mode at gs-shell.c:202
 #3 gs_shell_back_button_cb at gs-shell.c:283
 #4 _g_closure_invoke_va at gclosure.c:831
 #7 gtk_button_do_release at gtkbutton.c:1899
 #8 gtk_real_button_released at gtkbutton.c:2017
 #13 multipress_released_cb at gtkbutton.c:613
 #14 ffi_call_unix64 at ../src/x86/unix64.S:76
 #15 ffi_call at ../src/x86/ffi64.c:525

Comment 1 Mikhail 2015-04-20 21:55:54 UTC
Created attachment 1016575 [details]
File: backtrace

Comment 2 Mikhail 2015-04-20 21:55:55 UTC
Created attachment 1016576 [details]
File: cgroup

Comment 3 Mikhail 2015-04-20 21:55:57 UTC
Created attachment 1016577 [details]
File: core_backtrace

Comment 4 Mikhail 2015-04-20 21:55:58 UTC
Created attachment 1016578 [details]
File: dso_list

Comment 5 Mikhail 2015-04-20 21:56:00 UTC
Created attachment 1016579 [details]
File: environ

Comment 6 Mikhail 2015-04-20 21:56:01 UTC
Created attachment 1016580 [details]
File: limits

Comment 7 Mikhail 2015-04-20 21:56:03 UTC
Created attachment 1016581 [details]
File: maps

Comment 8 Mikhail 2015-04-20 21:56:04 UTC
Created attachment 1016582 [details]
File: mountinfo

Comment 9 Mikhail 2015-04-20 21:56:05 UTC
Created attachment 1016583 [details]
File: namespaces

Comment 10 Mikhail 2015-04-20 21:56:07 UTC
Created attachment 1016584 [details]
File: open_fds

Comment 11 Mikhail 2015-04-20 21:56:08 UTC
Created attachment 1016585 [details]
File: proc_pid_status

Comment 12 Mikhail 2015-04-20 21:56:09 UTC
Created attachment 1016586 [details]
File: var_log_messages

Comment 13 Fedora Update System 2015-10-07 13:21:04 UTC
gnome-software-3.18.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 14 Fedora Update System 2015-10-07 16:27:13 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-software'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 15 Fedora Update System 2015-10-09 06:14:00 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.